import { PropType } from 'vue';
import { CssClass } from '../../helpers/css-classes';
declare type DatepickerView = 'days' | 'months';
declare const _default: import("vue").DefineComponent<{
    rounded: {
        type: PropType<boolean>;
        default: boolean;
    };
    roundedLg: {
        type: PropType<boolean>;
        default: boolean;
    };
    round: {
        type: PropType<boolean>;
        default: boolean;
    };
    modelValue: {
        type: PropType<Date | null>;
        default: null;
    };
    firstDayOfWeek: {
        type: PropType<number>;
        default: number;
    };
    disableBefore: {
        type: PropType<Date | null>;
        default: null;
    };
    disableAfter: {
        type: PropType<Date | null>;
        default: null;
    };
}, unknown, {
    today: number;
    activeMonth: number;
    activeYear: number;
    activeView: DatepickerView;
}, {
    firstDayOfActiveMonth(): Date;
    formattedActiveMonthYear(): string;
    firstDayOfCalendar(): Date;
    numberOfWeeks(): number;
    dates(): Date[][];
}, {
    monthFormat(monthIndex: number): string;
    addDays(date: Date, days: number): Date;
    goToPreviousMonth(): void;
    goToNextMonth(): void;
    goToPreviousYear(): void;
    goToNextYear(): void;
    goToPreviousPeriod(): void;
    goToNextPeriod(): void;
    showMonthsView(): void;
    showDaysView(monthIndex: number): void;
    formattedWeekday(i: number): string;
    dateClasses(date: Date): CssClass[];
    selectDate(date: Date): void;
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("update:modelValue" | "select")[], "update:modelValue" | "select", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    rounded: {
        type: PropType<boolean>;
        default: boolean;
    };
    roundedLg: {
        type: PropType<boolean>;
        default: boolean;
    };
    round: {
        type: PropType<boolean>;
        default: boolean;
    };
    modelValue: {
        type: PropType<Date | null>;
        default: null;
    };
    firstDayOfWeek: {
        type: PropType<number>;
        default: number;
    };
    disableBefore: {
        type: PropType<Date | null>;
        default: null;
    };
    disableAfter: {
        type: PropType<Date | null>;
        default: null;
    };
}>> & {
    "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
    onSelect?: ((...args: any[]) => any) | undefined;
}, {
    rounded: boolean;
    roundedLg: boolean;
    round: boolean;
    modelValue: Date | null;
    firstDayOfWeek: number;
    disableBefore: Date | null;
    disableAfter: Date | null;
}>;
export default _default;
