import { PropType } from 'vue';
import { CssClass } from '../../helpers/css-classes';
import { SelectItem } from './models';
declare const _default: import("vue").DefineComponent<{
    error: {
        type: PropType<boolean>;
        default: boolean;
    };
    size: {
        type: PropType<"lg" | "sm" | "md">;
        default: string;
    };
    rounded: {
        type: PropType<boolean>;
        default: boolean;
    };
    roundedLg: {
        type: PropType<boolean>;
        default: boolean;
    };
    round: {
        type: PropType<boolean>;
        default: boolean;
    };
    bordered: {
        type: PropType<boolean>;
        default: boolean;
    };
    dark: {
        type: PropType<boolean>;
        default: boolean;
    };
    light: {
        type: PropType<boolean>;
        default: boolean;
    };
    modelValue: {
        type: PropType<string | number | null>;
        default: null;
    };
    items: {
        type: PropType<SelectItem[]>;
        required: true;
    };
    hideArrow: {
        type: PropType<boolean>;
        default: boolean;
    };
    label: {
        type: PropType<string | null>;
        default: null;
    };
    placeholder: {
        type: PropType<string | null>;
        default: null;
    };
    maxHeight: {
        type: PropType<number>;
        default: number;
    };
    persistent: {
        type: PropType<boolean>;
        default: boolean;
    };
    disabled: {
        type: PropType<boolean>;
        default: boolean;
    };
    labelColor: {
        type: PropType<string>;
        default: string;
    };
    search: {
        type: PropType<boolean>;
        default: boolean;
    };
    searchPlaceholder: {
        type: PropType<string | null>;
        default: null;
    };
    leftIcon: {
        type: PropType<string | null>;
        default: null;
    };
    leftIconClickable: {
        type: PropType<boolean>;
        default: boolean;
    };
    leftIconColor: {
        type: PropType<string | null>;
        default: null;
    };
    clearable: {
        type: PropType<boolean>;
        default: boolean;
    };
}, {
    themeClass: import("vue").ComputedRef<{
        'is-dark': any;
        'is-light': any;
    }>;
    borderedClass: import("vue").ComputedRef<{
        'is-bordered': any;
    }>;
    roundedClass: import("vue").ComputedRef<{
        'is-rounded': any;
        'is-rounded-lg': any;
        'is-round': any;
    }>;
}, {
    isExpanded: boolean;
    searchQuery: string;
}, {
    computedSearchPlaceholder(): string;
    classes(): CssClass[];
    labelClasses(): CssClass[];
    arrowClasses(): CssClass[];
    dropdownClasses(): CssClass[];
    selectedItem(): SelectItem | null;
    computedPlaceholder(): string | null;
    selectedItemText(): string | null;
    filteredItems(): SelectItem[];
}, {
    select(item: SelectItem | null): void;
    clearSelection(): void;
    toggle(): void;
    itemClasses(item: SelectItem): CssClass[];
    onClickOutside(): void;
    onLeftIconClick(): void;
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("update:modelValue" | "click-left-icon" | "change" | "select")[], "update:modelValue" | "click-left-icon" | "change" | "select", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    error: {
        type: PropType<boolean>;
        default: boolean;
    };
    size: {
        type: PropType<"lg" | "sm" | "md">;
        default: string;
    };
    rounded: {
        type: PropType<boolean>;
        default: boolean;
    };
    roundedLg: {
        type: PropType<boolean>;
        default: boolean;
    };
    round: {
        type: PropType<boolean>;
        default: boolean;
    };
    bordered: {
        type: PropType<boolean>;
        default: boolean;
    };
    dark: {
        type: PropType<boolean>;
        default: boolean;
    };
    light: {
        type: PropType<boolean>;
        default: boolean;
    };
    modelValue: {
        type: PropType<string | number | null>;
        default: null;
    };
    items: {
        type: PropType<SelectItem[]>;
        required: true;
    };
    hideArrow: {
        type: PropType<boolean>;
        default: boolean;
    };
    label: {
        type: PropType<string | null>;
        default: null;
    };
    placeholder: {
        type: PropType<string | null>;
        default: null;
    };
    maxHeight: {
        type: PropType<number>;
        default: number;
    };
    persistent: {
        type: PropType<boolean>;
        default: boolean;
    };
    disabled: {
        type: PropType<boolean>;
        default: boolean;
    };
    labelColor: {
        type: PropType<string>;
        default: string;
    };
    search: {
        type: PropType<boolean>;
        default: boolean;
    };
    searchPlaceholder: {
        type: PropType<string | null>;
        default: null;
    };
    leftIcon: {
        type: PropType<string | null>;
        default: null;
    };
    leftIconClickable: {
        type: PropType<boolean>;
        default: boolean;
    };
    leftIconColor: {
        type: PropType<string | null>;
        default: null;
    };
    clearable: {
        type: PropType<boolean>;
        default: boolean;
    };
}>> & {
    "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
    "onClick-left-icon"?: ((...args: any[]) => any) | undefined;
    onSelect?: ((...args: any[]) => any) | undefined;
    onChange?: ((...args: any[]) => any) | undefined;
}, {
    search: boolean;
    size: "lg" | "sm" | "md";
    disabled: boolean;
    leftIcon: string | null;
    rounded: boolean;
    roundedLg: boolean;
    round: boolean;
    bordered: boolean;
    dark: boolean;
    light: boolean;
    error: boolean;
    modelValue: string | number | null;
    placeholder: string | null;
    label: string | null;
    leftIconClickable: boolean;
    leftIconColor: string | null;
    maxHeight: number;
    persistent: boolean;
    hideArrow: boolean;
    labelColor: string;
    searchPlaceholder: string | null;
    clearable: boolean;
}>;
export default _default;
